Bug 847345 - (libmatecanvas) Review Request: libmatecanvas - MateCanvas widget
Review Request: libmatecanvas - MateCanvas widget
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Dan Mashal
:
Depends On:
Blocks: MATE-DE-tracker
  Show dependency treegraph
 
Reported: 2012-08-10 12:00 EDT by Wolfgang Ulbrich
Modified: 2012-10-23 15:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-19 17:50:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Wolfgang Ulbrich 2012-08-10 12:00:22 EDT
Spec URL: http://raveit65.fedorapeople.org/Mate-Desktop/fc17/SPECS/libmatecanvas.spec
SRPM URL: http://raveit65.fedorapeople.org/Mate-Desktop/fc17/SRPM/libmatecanvas-1.4.0-5.fc17.src.rpm
Description: The canvas widget allows you to create custom displays using stock items
such as circles, lines, text, and so on. It was originally a port of the
Tk canvas widget but has evolved quite a bit over time.
Fedora Account System Username: raveit65
Comment 1 Mario Blättermann 2012-08-12 17:09:14 EDT
BuildRequires to drop:

libtool (needed by mate-common)
gettext (needed by intltool)

The gail-devel package is deprecated:
https://admin.fedoraproject.org/pkgdb/acls/name/gail

If it is really needed for building this package, we have to look for a replacement. But if I remember well, gail has been swallowed by Gtk some time ago. Perhaps an artifact from the early years of Gnome...?


Requires: %{name} = %{version}-%{release}
has to be
Requires: %{name}%{?_isa} = %{version}-%{release}


# for /usr/share/gtk-doc/html
Requires: gtk-doc

Not needed. Because libmatecanvas doesn't need gtk-doc at runtime, you may co-own the appropriate folder in %files:

%{_datadir}/gtk-doc

It's one of the most used exceptions regarding file ownerships, and it affects currently more than hundred packages in Fedora, or even more.


Use the general description for the -devel package:

The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


The %defattr lines in %files are obsolete. You might drop them, too.
Comment 2 Wolfgang Ulbrich 2012-08-13 07:28:39 EDT
(In reply to comment #1)
> BuildRequires to drop:
> 
> libtool (needed by mate-common)
> gettext (needed by intltool)
done
> 
> The gail-devel package is deprecated:
> https://admin.fedoraproject.org/pkgdb/acls/name/gail
> 
> If it is really needed for building this package, we have to look for a
> replacement. But if I remember well, gail has been swallowed by Gtk some
> time ago. Perhaps an artifact from the early years of Gnome...?
Ahh, this explain why i didn't find gail in mock logs
> 
> 
> Requires: %{name} = %{version}-%{release}
> has to be
> Requires: %{name}%{?_isa} = %{version}-%{release}
done
> 
> 
> # for /usr/share/gtk-doc/html
> Requires: gtk-doc
> 
> Not needed. Because libmatecanvas doesn't need gtk-doc at runtime, you may
> co-own the appropriate folder in %files:
> 
> %{_datadir}/gtk-doc
> 
> It's one of the most used exceptions regarding file ownerships, and it
> affects currently more than hundred packages in Fedora, or even more.
done
> 
> 
> Use the general description for the -devel package:
> 
> The %{name}-devel package contains libraries and header files for
> developing applications that use %{name}.
done
> 
> 
> The %defattr lines in %files are obsolete. You might drop them, too.
done

new koji scratch build

http://koji.fedoraproject.org/koji/taskinfo?taskID=4383558

%changelog
* Tue Jul 24 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-6
- initial build for fedora
- edit -devel description
- co-owned %%{_datadir}/gtk-doc and remve gtk-doc requires
- add isa tag
- remove %%defattr lines in %%files
- clean build requires

* Sat Dec 24 2011 Wolfgang Ulbrich <chat-to-me@raveit.de> - libmate-1.1.0.1
- libmatecanvas.spec based on libgnomecanvas-2.30.3-3.fc17 spec

SPEC: http://raveit65.fedorapeople.org/Mate-Desktop/f19/SPECS/libmatecanvas.spec

SRPM: http://raveit65.fedorapeople.org/Mate-Desktop/f19/SRPM/libmatecanvas-1.4.0-6.fc19.src.rpm
Comment 3 Mario Blättermann 2012-08-16 14:25:02 EDT
New scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4396638

$ rpmlint -i -v *
libmatecanvas.i686: I: checking
libmatecanvas.i686: I: checking-url http://mate-desktop.org (timeout 10 seconds)
libmatecanvas.i686: E: incorrect-fsf-address /usr/share/doc/libmatecanvas-1.4.0/COPYING.LIB
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas.x86_64: I: checking
libmatecanvas.x86_64: I: checking-url http://mate-desktop.org (timeout 10 seconds)
libmatecanvas.x86_64: E: incorrect-fsf-address /usr/share/doc/libmatecanvas-1.4.0/COPYING.LIB
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas.src: I: checking
libmatecanvas.src: I: checking-url http://mate-desktop.org (timeout 10 seconds)
libmatecanvas.src: I: checking-url http://pub.mate-desktop.org/releases/1.4/libmatecanvas-1.4.0.tar.xz (timeout 10 seconds)
libmatecanvas-debuginfo.i686: I: checking
libmatecanvas-debuginfo.i686: I: checking-url http://mate-desktop.org (timeout 10 seconds)
libmatecanvas-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/libmatecanvastypes.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/mate-canvas-polygon.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/mate-canvas-text.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/mate-canvas-line.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/mate-canvas-rect-ellipse.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/mate-canvas-text.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/mate-canvas.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/mate-canvas.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/mate-canvas-widget.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/mate-canvas-polygon.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/libmatecanvas.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/mate-canvas-line.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/mate-canvas-util.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/mate-canvas-rect-ellipse.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/mate-canvas-widget.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/mate-canvas-util.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-debuginfo.x86_64: I: checking
libmatecanvas-debuginfo.x86_64: I: checking-url http://mate-desktop.org (timeout 10 seconds)
libmatecanvas-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/mate-canvas-polygon.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/mate-canvas-rect-ellipse.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/mate-canvas-text.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/mate-canvas-line.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/mate-canvas.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/mate-canvas.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/libmatecanvastypes.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/libmatecanvas.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/mate-canvas-polygon.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/mate-canvas-widget.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/mate-canvas-util.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/mate-canvas-text.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/mate-canvas-rect-ellipse.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/mate-canvas-util.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/mate-canvas-widget.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/libmatecanvas-1.4.0/libmatecanvas/mate-canvas-line.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-devel.i686: I: checking
libmatecanvas-devel.i686: I: checking-url http://mate-desktop.org (timeout 10 seconds)
libmatecanvas-devel.i686: E: incorrect-fsf-address /usr/include/libmatecanvas-2.0/libmatecanvas/libmatecanvas.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-devel.i686: E: incorrect-fsf-address /usr/include/libmatecanvas-2.0/libmatecanvas/mate-canvas-line.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-devel.i686: E: incorrect-fsf-address /usr/include/libmatecanvas-2.0/libmatecanvas/mate-canvas-util.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-devel.i686: E: incorrect-fsf-address /usr/include/libmatecanvas-2.0/libmatecanvas/mate-canvas-widget.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-devel.i686: E: incorrect-fsf-address /usr/include/libmatecanvas-2.0/libmatecanvas/mate-canvas-polygon.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-devel.i686: E: incorrect-fsf-address /usr/include/libmatecanvas-2.0/libmatecanvas/mate-canvas-rect-ellipse.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-devel.i686: E: incorrect-fsf-address /usr/include/libmatecanvas-2.0/libmatecanvas/mate-canvas-text.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-devel.i686: E: incorrect-fsf-address /usr/include/libmatecanvas-2.0/libmatecanvas/mate-canvas.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-devel.x86_64: I: checking
libmatecanvas-devel.x86_64: I: checking-url http://mate-desktop.org (timeout 10 seconds)
libmatecanvas-devel.x86_64: E: incorrect-fsf-address /usr/include/libmatecanvas-2.0/libmatecanvas/mate-canvas-line.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-devel.x86_64: E: incorrect-fsf-address /usr/include/libmatecanvas-2.0/libmatecanvas/mate-canvas-util.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-devel.x86_64: E: incorrect-fsf-address /usr/include/libmatecanvas-2.0/libmatecanvas/mate-canvas-widget.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-devel.x86_64: E: incorrect-fsf-address /usr/include/libmatecanvas-2.0/libmatecanvas/libmatecanvas.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-devel.x86_64: E: incorrect-fsf-address /usr/include/libmatecanvas-2.0/libmatecanvas/mate-canvas-polygon.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-devel.x86_64: E: incorrect-fsf-address /usr/include/libmatecanvas-2.0/libmatecanvas/mate-canvas-rect-ellipse.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-devel.x86_64: E: incorrect-fsf-address /usr/include/libmatecanvas-2.0/libmatecanvas/mate-canvas-text.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

libmatecanvas-devel.x86_64: E: incorrect-fsf-address /usr/include/libmatecanvas-2.0/libmatecanvas/mate-canvas.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

7 packages and 0 specfiles checked; 50 errors, 0 warnings.


A lot of old FSF addresses again. No blocker, but as you know it needs the upstream folks to be warned.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
    LGPLv2+
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    ff0032d53409d1b6a4c029eb18c9d85efa44c5d1ea6ece535faa564b0c73a425  libmatecanvas-1.4.0.tar.xz
    ff0032d53409d1b6a4c029eb18c9d85efa44c5d1ea6ece535faa564b0c73a425  libmatecanvas-1.4.0.tar.xz.orig

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[+] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[+] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[.] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[+] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[+] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway)

[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[+] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[.] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.


----------------

PACKAGE APPROVED

----------------


The initial cleaning of buildroot in %install is no longer needed, only for EPEL 5. Please drop that line from your spec before importing it.
Comment 4 Wolfgang Ulbrich 2012-08-16 14:48:09 EDT
libmatecanavas


New Package SCM Request
=======================
Package Name: libmatecanvas
Short Description: MateCanvas widget
Owners: raveit65 vicodan rdieter
Branches: f16 f17 f18
InitialCC:
Comment 5 Jon Ciesla 2012-08-16 15:40:15 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-08-16 16:57:35 EDT
libmatecanvas-1.4.0-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libmatecanvas-1.4.0-6.fc18
Comment 7 Fedora Update System 2012-08-16 17:27:04 EDT
libmatecanvas-1.4.0-6.fc18 has been pushed to the Fedora 18 testing repository.
Comment 8 Fedora Update System 2012-08-18 23:08:18 EDT
libmatecanvas-1.4.0-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libmatecanvas-1.4.0-6.fc17
Comment 9 Fedora Update System 2012-08-18 23:08:29 EDT
libmatecanvas-1.4.0-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/libmatecanvas-1.4.0-6.fc16
Comment 10 Fedora Update System 2012-08-19 17:49:22 EDT
libmatecanvas-1.4.0-6.fc16 has been pushed to the Fedora 16 testing repository.
Comment 11 Fedora Update System 2012-08-19 17:50:18 EDT
libmatecanvas-1.4.0-6.fc17 has been pushed to the Fedora 17 stable repository.
Comment 12 Wolfgang Ulbrich 2012-08-21 08:31:00 EDT
I don't work for the Mate-Desktop project anymore, because i see no basic for working together with Dan Mashal.

Note You need to log in before you can comment on or make changes to this bug.